public class Auto4Applikation
{
	public static void main(String[]args)
	{
		Auto4 zweitesAuto=new Auto4("H-A-1234",6);
		System.out.println("Anzahl Gänge von zweitesAuto: "+
			zweitesAuto.getAnzahlGänge());
		System.out.println("eingelegter Gang von zweitesAuto: "+
			zweitesAuto.getEingelegterGang());
		System.out.println("Kennzeichen von zweitesAuto: "+
			zweitesAuto.getKennzeichen());
			
		//Testfälle für setEingelegterGang
		zweitesAuto.setEingelegterGang(6);
		System.out.println("eingelegter Gang von zweitesAuto (6): "+
			zweitesAuto.getEingelegterGang());
		try
		{
			zweitesAuto.setEingelegterGang(7);
		}
		catch(IllegalArgumentException iae)
		{
			System.out.println("Probleme beim Gangwechsel: "+
				iae.getMessage());
		}
		System.out.println("eingelegter Gang von zweitesAuto: "+
			zweitesAuto.getEingelegterGang());
	}
}